<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>echo2.xml</name>
  <program_name>echo2.xml</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>True</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_ETCHED_OUT</shadow_type>

    <widget>
      <class>GtkEventBox</class>
      <name>eventbox3_blue</name>

      <widget>
	<class>GtkVBox</class>
	<name>bigbox</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox1</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label2</name>
	    <label>Fir Filter: </label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>2</xpad>
	    <ypad>0</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkToggleButton</class>
	    <name>togglebutton1</name>
	    <tooltip>lock total volume</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_skin_do_toggle:normalized</handler>
	      <last_modification_time>Sat, 19 Feb 2000 21:35:58 GMT</last_modification_time>
	    </signal>
	    <label>normal</label>
	    <active>False</active>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label3</name>
	    <label>scale</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>2</xpad>
	    <ypad>0</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkEventBox</class>
	    <name>eventbox1</name>
	    <tooltip>volume factor, or total volume if normalized</tooltip>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkHScale</class>
	      <name>hscale1</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>adjustment_changed</name>
		<handler>gdam_skin_adjustment:gain_scale</handler>
		<last_modification_time>Sat, 19 Feb 2000 21:36:15 GMT</last_modification_time>
	      </signal>
	      <draw_value>True</draw_value>
	      <value_pos>GTK_POS_TOP</value_pos>
	      <digits>1</digits>
	      <policy>GTK_UPDATE_CONTINUOUS</policy>
	      <value>1</value>
	      <lower>0</lower>
	      <upper>2</upper>
	      <step>0.1</step>
	      <page>0.1</page>
	      <page_size>0</page_size>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <tooltip>assign midi control</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_try_or_destroy:gdam_input_button:gain_scale:0:2:Gain_Scale</handler>
	      <last_modification_time>Fri, 25 Feb 2000 01:22:59 GMT</last_modification_time>
	    </signal>
	    <label>M</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>

	<widget>
	  <class>GtkHBox</class>
	  <name>somehbox</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkVBox</class>
	    <name>vbox1</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkHBox</class>
	      <name>hbox2</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>GtkLabel</class>
		<name>label4</name>
		<label>grid unit: </label>
		<justify>GTK_JUSTIFY_CENTER</justify>
		<wrap>False</wrap>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkSpinButton</class>
		<name>spinbutton1</name>
		<tooltip>number of samples per line</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>value_changed</name>
		  <handler>gdam_skin_adjustment:grid_unit</handler>
		  <last_modification_time>Tue, 07 Mar 2000 23:48:25 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>activate</name>
		  <handler>gdam_skin_defocus_on_activate</handler>
		  <last_modification_time>Thu, 13 Apr 2000 21:55:52 GMT</last_modification_time>
		</signal>
		<climb_rate>1</climb_rate>
		<digits>0</digits>
		<numeric>False</numeric>
		<update_policy>GTK_UPDATE_ALWAYS</update_policy>
		<snap>False</snap>
		<wrap>False</wrap>
		<value>10</value>
		<lower>1</lower>
		<upper>1e+06</upper>
		<step>1</step>
		<page>10</page>
		<page_size>10</page_size>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>True</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkLabel</class>
		<name>label5</name>
		<label>beats:</label>
		<justify>GTK_JUSTIFY_CENTER</justify>
		<wrap>False</wrap>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkSpinButton</class>
		<name>spinbutton2</name>
		<tooltip>number of beats per line</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>value_changed</name>
		  <handler>gdam_skin_adjustment:beat_factor</handler>
		  <last_modification_time>Tue, 07 Mar 2000 23:50:00 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>activate</name>
		  <handler>gdam_skin_defocus_on_activate</handler>
		  <last_modification_time>Thu, 13 Apr 2000 21:56:02 GMT</last_modification_time>
		</signal>
		<climb_rate>1</climb_rate>
		<digits>0</digits>
		<numeric>False</numeric>
		<update_policy>GTK_UPDATE_ALWAYS</update_policy>
		<snap>False</snap>
		<wrap>False</wrap>
		<value>1</value>
		<lower>0</lower>
		<upper>4</upper>
		<step>1</step>
		<page>1</page>
		<page_size>10</page_size>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>True</fill>
		</child>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkHBox</class>
	      <name>hbox3</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>GtkDrawingArea</class>
		<name>drawing_area</name>
		<width>200</width>
		<height>50</height>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_fir_filter_drawing_area</handler>
		  <last_modification_time>Sat, 19 Feb 2000 21:35:45 GMT</last_modification_time>
		</signal>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>True</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkVScrollbar</class>
		<name>vscrollbar1</name>
		<tooltip>grid zoom level</tooltip>
		<signal>
		  <name>value_changed</name>
		  <handler>gdam_fir_filter_line_width_adjustment</handler>
		  <last_modification_time>Tue, 07 Mar 2000 23:40:43 GMT</last_modification_time>
		</signal>
		<policy>GTK_UPDATE_CONTINUOUS</policy>
		<value>2</value>
		<lower>1</lower>
		<upper>12</upper>
		<step>1</step>
		<page>4</page>
		<page_size>1</page_size>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>True</fill>
		</child>
	      </widget>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkVBox</class>
	    <name>vbox1</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkToggleButton</class>
	      <name>togglebutton2</name>
	      <tooltip>toggle reverb</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>toggled</name>
		<handler>gdam_skin_toggle_button:reverb</handler>
		<last_modification_time>Sun, 05 Mar 2000 22:19:34 GMT</last_modification_time>
	      </signal>
	      <label>R</label>
	      <active>False</active>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button2</name>
	      <tooltip>assign midi control</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>pressed</name>
		<handler>gdam_skin_try_or_destroy:gdam_input_button:reverb:0:2:Reverb</handler>
		<last_modification_time>Sun, 05 Mar 2000 22:20:10 GMT</last_modification_time>
	      </signal>
	      <label>M</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button3</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_skin_raise_or_launch:GdamHelpSkin:help.xml:GdamHelpSkin:firfilter</handler>
		<last_modification_time>Fri, 24 Mar 2000 21:33:22 GMT</last_modification_time>
	      </signal>
	      <label>?</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
